<?php

//Include the common file
require('../common.php');

//Check if the user is logged in
if (!$authentication->logged_in() || !$authentication->is_admin()) header("Location: login.php");

//Returns the number of rows
$row_count = $db->row_count("SELECT user_id FROM " . config_item('authentication', 'table_access_logs') . " WHERE user_id = '" . $_GET['user_id'] . "'");

//Pagination
if (isset($_GET['page']))
	$current_page = trim($_GET['page']);
else
	$current_page = 1;
	 
$start = ($current_page -1 ) * config_item('authentication', 'per_page_admin'); 	

$sql = "SELECT * FROM " . config_item('authentication', 'table_access_logs') . " WHERE user_id = '" . $_GET['user_id'] . "'";
									
$sql .= " ORDER BY log_id DESC";

$sql .= " LIMIT " . $start . ", " . config_item('authentication', 'per_page_admin') . "";
											
$pages = ceil($db->row_count("SELECT log_id FROM " . config_item('authentication', 'table_access_logs') . "") / config_item('authentication', 'per_page_admin'));
	
//Access logs
$access_logs = array();

foreach ($db->query($sql) as $row) {
	
	$access_logs[] = array(
		'log_ip' 				=> $row['log_ip'],
		'time' 					=> $row['time']
	);
	
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	
<!-- BEGIN head -->	
<head>
	
	<!-- Meta Tags -->
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /> 
	
	<!-- Title -->
	<title>Authentication System</title>

	<!-- Style sheet -->
	<link href="css/style.css" rel="stylesheet" type="text/css" />
	<link href="css/reset.css" rel="stylesheet" type="text/css" />
	<link href="css/text.css" rel="stylesheet" type="text/css" />
	<link href="css/960.css" rel="stylesheet" type="text/css" />
	<link href="css/table.css" rel="stylesheet" type="text/css" />
	
</head>
<!-- END head -->

<!-- BEGIN body -->
<body>

<!-- BEGIN #wrapper -->
<div id="wrapper">
	
	<!-- BEGIN #header -->
	<div id="header" class="container_12">
		
		<!-- BEGIN .grid_8 -->						
		<div class="grid_8">
			<a href="index.php"><img src="images/logo.png" alt="" /></a>
		</div>
		<!-- END .grid_8 -->
		
		<!-- BEGIN #user_menu -->
		<div id="user_menu" class="grid_4">
			<ul>
				<li><span><strong>Welcome:</strong> <?php if ($session->get('user_email')) echo $session->get('user_email'); ?></span></li>
				<li><a href="index.php"><img src="images/home.png" alt="" /></a></li>
				<li><a href="account.php"><img src="images/user.png" alt="" title="Profile" /></a></li>
				<li><a href="index.php?logout"><img src="images/logout.png" alt="" title="Logout" /></a></li>
			</ul>
		</div>
		<!-- END #user_menu -->
		
		<div class="clear">&nbsp;</div>
		
		<div class="grid_12 line">&nbsp;</div>
		
		<div class="clear">&nbsp;</div>
		
		<!-- BEGIN #main_menu -->
		<div id="main_menu" class="grid_9">
			<ul>
				<li><a href="users.php" <?php if (in_array(basename($_SERVER['PHP_SELF']), array('users.php', 'add_user.php', 'edit_user.php'))) echo 'class="current"'; ?>>Users</a></li>
				<li><a href="groups.php" <?php if (in_array(basename($_SERVER['PHP_SELF']), array('groups.php', 'add_group.php', 'edit_group.php'))) echo 'class="current"'; ?>>Groups</a></li>
				<li><a href="settings.php" <?php if (in_array(basename($_SERVER['PHP_SELF']), array('settings.php'))) echo 'class="current"'; ?>>Settings</a></li>
			</ul>
		</div>
		<!-- END #main_menu -->
				
		<div class="clear">&nbsp;</div>
						
	</div>
	<!-- END #header -->
	
	<?php if (is_dir(realpath(dirname(__FILE__) . '/../') . '/install')): ?>
		<div class="container_12">
			<div class="grid_12 alert error">
				<span>
					<strong>Warning</strong>
				</span>	
				<p>Install folder still exists and should be deleted for security reasons.</p>
			</div>
			<div class="clear"></div>
		</div>
	<?php endif; ?>

	<noscript>
		<div class="container_12">
			<div class="grid_12 alert error">
				<span>
					<strong>Warning</strong>
				</span>	
				<p>
					Many features on the web site require Javascript and cookies, you can enable both via your browser's
					preference settings.
				</p>
			</div>
			<div class="clear"></div>
		</div>
	</noscript>
	
	<!-- BEGIN #main -->
	<div id="main" class="container_12">
							
		<!-- BEGIN .grid_12 -->
		<div class="grid_12">

			<!-- BEGIN .title_background -->
			<div class="title_background">
				<h1>Access logs</h1>
			</div>
			<!-- END .title_background -->
							
			<?php if ($row_count > 0): ?>
											
				<table class="table">
					<thead>
						<tr>
							<th>IP Address</th>
							<th>Last login</th>
						</tr>
					</thead>
					<tbody>

					<?php foreach($access_logs as $row): ?>
									
						<tr>
							<td><?php echo $row['log_ip']; ?></td>
							<td><?php echo date('d/m/Y H.i.s', $row['time']); ?></td>
						</tr>
					
					<?php endforeach; ?>
					
					</tbody>
				</table>
				
				<div class="grid_5 alpha omega">
						
					<?php

						if($current_page > 1 && ($current_page - 1) < $pages)
							echo '<a href="?user_id=' . $_GET['user_id'] . '&amp;page=' . ($current_page - 1) . '" class="button orange">&laquo; Previous page</a>';
						if($pages > $current_page && ($current_page - 1) < $pages)
							echo '<a href="?user_id=' . $_GET['user_id'] . '&amp;page=' . ($current_page + 1) . '" class="button orange">Next page &raquo;</a>';

					?>
					
				</div>
										
			<?php else: ?>
				
				<?php if (config_item('authentication', 'access_logs')): ?>
					<div class="alert info">
						<p>Has not logged in yet.</p>
					</div>
				<?php else: ?>
					<div class="alert info">
						<p>No access records.</p>
					</div>
				<?php endif; ?>
				
			<?php endif; ?>
																		
		</div>
		<!-- END .grid_12 -->
		
		<div class="clear">&nbsp;</div>
		
	</div>
	<!-- END #main -->

</div>
<!-- END #wrapper -->

<!-- BEGIN .container_12 -->
<div class="container_12">
	
	<!-- BEGIN #footer -->
	<div id="footer" class="grid_12 text_center">
		<p>Copyright &copy; 2012 Gnt Studio</p>
	</div>
	<!-- END #footer -->
	
	<div class="clear">&nbsp;</div>
	
</div>
<!-- END .container_12 -->
			
</body>
<!-- END body -->

</html>
