<?php

//Include the common file
require('../common.php');

//Check if the user is logged in
if (!$authentication->logged_in() || !$authentication->is_admin()) header("Location: login.php");

//Returns the number of rows
$row_count = $db->row_count("SELECT group_id FROM " . config_item('authentication', 'table_groups'));

//Check if the form has been submitted
if (isset($_POST['cb_group'])) {

	foreach ($_POST['cb_group'] as $value) {

		$where = array(
			'group_id' => $value
		);
		
		$db->where($where);	
		$db->delete(config_item('authentication', 'table_groups'));
			
	}
	
	header("Location: groups.php");
	
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	
<!-- BEGIN head -->	
<head>
	
	<!-- Meta Tags -->
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /> 
	
	<!-- Title -->
	<title>Authentication System</title>

	<!-- Style sheet -->
	<link href="css/style.css" rel="stylesheet" type="text/css" />
	<link href="css/reset.css" rel="stylesheet" type="text/css" />
	<link href="css/text.css" rel="stylesheet" type="text/css" />
	<link href="css/960.css" rel="stylesheet" type="text/css" />
	<link href="css/table.css" rel="stylesheet" type="text/css" />
	<link href="css/jquery.qtip.min.css" rel="stylesheet" type="text/css" />
	<link href="css/dialog.css" rel="stylesheet" type="text/css" />

	<!-- jQuery -->
	<script type="text/javascript" src="js/jquery.min.js"></script>
	<script type="text/javascript" src="js/jquery-ui.min.js"></script>
	<!-- jQuery plugins -->
	<script type="text/javascript" src="js/jquery.qtip.min.js"></script>
		
	<!-- Custom js -->
	<script type="text/javascript" src="js/custom.js"></script>

	<script type="text/javascript">
	// <![CDATA[
	$(document).ready(function() {

		$('#dialog:ui-dialog').dialog('destroy');

		$('#dialog_confirm').dialog({
			autoOpen: false,
			resizable: false,
			height: 180,
			width: 450,
			modal: true,
			create: function(event, ui) {
				$('.ui-button').addClass('button orange');
			},
			buttons: {
				'Delete': function() {
					$('form:first').submit();
				},
				'Cancel': function() {
					$(this).dialog('close');
				}
			}
		});
		
		$('.delete').click(function() {
				
			$('input:checked').each(function() {
				
				$('#dialog_confirm').dialog('open');
				
			});

			return false;
			
		});
								
	});
	// ]]>
	</script>
	
</head>
<!-- END head -->

<!-- BEGIN body -->
<body>

<!-- BEGIN #wrapper -->
<div id="wrapper">
	
	<!-- BEGIN #header -->
	<div id="header" class="container_12">
		
		<!-- BEGIN .grid_8 -->						
		<div class="grid_8">
			<a href="index.php"><img src="images/logo.png" alt="" /></a>
		</div>
		<!-- END .grid_8 -->
		
		<!-- BEGIN #user_menu -->
		<div id="user_menu" class="grid_4">
			<ul>
				<li><span><strong>Welcome:</strong> <?php if ($session->get('user_email')) echo $session->get('user_email'); ?></span></li>
				<li><a href="index.php"><img src="images/home.png" alt="" /></a></li>
				<li><a href="account.php"><img src="images/user.png" alt="" title="Profile" /></a></li>
				<li><a href="index.php?logout"><img src="images/logout.png" alt="" title="Logout" /></a></li>
			</ul>
		</div>
		<!-- END #user_menu -->
		
		<div class="clear">&nbsp;</div>
		
		<div class="grid_12 line">&nbsp;</div>
		
		<div class="clear">&nbsp;</div>
		
		<!-- BEGIN #main_menu -->
		<div id="main_menu" class="grid_9">
			<ul>
				<li><a href="users.php" <?php if (in_array(basename($_SERVER['PHP_SELF']), array('users.php', 'add_user.php', 'edit_user.php'))) echo 'class="current"'; ?>>Users</a></li>
				<li><a href="groups.php" <?php if (in_array(basename($_SERVER['PHP_SELF']), array('groups.php', 'add_group.php', 'edit_group.php'))) echo 'class="current"'; ?>>Groups</a></li>
				<li><a href="settings.php" <?php if (in_array(basename($_SERVER['PHP_SELF']), array('settings.php'))) echo 'class="current"'; ?>>Settings</a></li>
			</ul>
		</div>
		<!-- END #main_menu -->
				
		<div class="clear">&nbsp;</div>
						
	</div>
	<!-- END #header -->
	
	<?php if (is_dir(realpath(dirname(__FILE__) . '/../') . '/install')): ?>
		<div class="container_12">
			<div class="grid_12 alert error">
				<span>
					<strong>Warning</strong>
				</span>	
				<p>Install folder still exists and should be deleted for security reasons.</p>
			</div>
			<div class="clear"></div>
		</div>
	<?php endif; ?>

	<noscript>
		<div class="container_12">
			<div class="grid_12 alert error">
				<span>
					<strong>Warning</strong>
				</span>	
				<p>
					Many features on the web site require Javascript and cookies, you can enable both via your browser's
					preference settings.
				</p>
			</div>
			<div class="clear"></div>
		</div>
	</noscript>

	<!-- BEGIN #dialog_confirm -->
	<div id="dialog_confirm" title="Delete item(s)?">
		<p>
			These item(s) will be permanently deleted and cannot be recovered. Are you sure?
		</p>
	</div>
	<!-- END #dialog_confirm -->
	
	<!-- BEGIN #main -->
	<div id="main" class="container_12">
						
		<!-- BEGIN .grid_12 -->
		<div class="grid_12">

			<!-- BEGIN .title_background -->
			<div class="title_background grid_10 alpha omega">
				<h1>Manage groups</h1>
			</div>
			<!-- END .title_background -->

			<div class="float_right">
				<button type="submit" class="button orange delete">Delete</button>
			</div>
			
			<div class="float_right">
				<a href="add_group.php" class="button orange">Add group</a>
			</div>
			
			<div class="clear">&nbsp;</div>
						
			<?php if ($session->get('success')): ?>
				<div class="alert success">
					<p>
						<span>Group edited successfully!</span>
					</p>
				</div>
			<?php $session->delete('success'); endif; ?>
				
			<?php if ($row_count > 0): ?>
				
				<form action="" method="post">
												
					<table class="table">
						<thead>
							<tr>
								<th><input type="checkbox" value="cb_group" class="select_all" /></th>
								<th>Name</th>
								<th>Description</th>
								<th>Action</th>
							</tr>
						</thead>
						<tbody>

						<?php foreach($authentication->get_groups() as $row): ?>
										
							<tr>
								<td><input type="checkbox" value="<?php echo $row['group_id']; ?>" name="cb_group[]" /></td>
								<td><?php echo $row['group_name']; ?></td>
								<td><?php echo $row['group_description']; ?></td>
								<td><a href="edit_group.php?group_id=<?php echo $row['group_id']; ?>" title="Edit: <?php echo $row['group_name']; ?>"><img src="images/details.png" alt="" /></a></td>
							</tr>
						
						<?php endforeach; ?>
						
						</tbody>
					</table>
				
				</form>
										
			<?php else: ?>
			
				<div class="alert info">
					<p>Groups not found.</p>
				</div>
				
			<?php endif; ?>
																		
		</div>
		<!-- END .grid_12 -->
		
		<div class="clear">&nbsp;</div>
		
	</div>
	<!-- END #main -->

</div>
<!-- END #wrapper -->

<!-- BEGIN .container_12 -->
<div class="container_12">
	
	<!-- BEGIN #footer -->
	<div id="footer" class="grid_12 text_center">
		<p>Copyright &copy; 2012 Gnt Studio</p>
	</div>
	<!-- END #footer -->
	
	<div class="clear">&nbsp;</div>
	
</div>
<!-- END .container_12 -->
			
</body>
<!-- END body -->

</html>
