<?php

//Include the common file
require('../common.php');

//Check if the user is logged in and is admin
if ($authentication->logged_in() && $authentication->is_admin()) header("Location: index.php");

//Check if the form has been submitted
if (isset($_POST['submit'])) {
	
	$validate->email($_POST['email'], 'Email address not valid.');
	$validate->required($_POST['password'], 'Enter your password.');

	if (!$error->has_errors()) {

		$remember = false;
		
		if (isset($_POST['remember']))
			$remember = true;					
			
		if ($authentication->login($_POST['email'], $_POST['password'], $remember))
			header("Location: index.php");
		else
			$failed = true;
			
	}
	
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	
<!-- BEGIN head -->	
<head>
	
	<!-- Meta Tags -->
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /> 
	
	<!-- Title -->
	<title>Authentication System</title>

	<!-- Style sheet -->
	<link href="css/style.css" rel="stylesheet" type="text/css" />
	<link href="css/reset.css" rel="stylesheet" type="text/css" />
	<link href="css/text.css" rel="stylesheet" type="text/css" />
	<link href="css/960.css" rel="stylesheet" type="text/css" />
	
</head>
<!-- END head -->

<!-- BEGIN body -->
<body>

<!-- BEGIN #wrapper -->
<div id="wrapper">
	
	<?php if (is_dir(realpath(dirname(__FILE__) . '/../') . '/install')): ?>
		<div class="container_12">
			<div class="grid_12 alert error">
				<span>
					<strong>Warning</strong>
				</span>	
				<p>Install folder still exists and should be deleted for security reasons.</p>
			</div>
			<div class="clear"></div>
		</div>
	<?php endif; ?>

	<noscript>
		<div class="container_12">
			<div class="grid_12 alert error">
				<span>
					<strong>Warning</strong>
				</span>	
				<p>
					Many features on the web site require Javascript and cookies, you can enable both via your browser's
					preference settings.
				</p>
			</div>
			<div class="clear"></div>
		</div>
	</noscript>

	<!-- BEGIN .container_12 -->
	<div class="container_12">
			
		<!-- BEGIN #login -->
		<div id="login">
								
			<h6>Login</h6>
																				
			<form action="" method="post">

				<p>
					<label>Email address</label>
					<input type="text" name="email" size="55" />
				</p>

				<p>
					<label>Password</label>
					<input type="password" name="password" size="55" />
				</p>

				<p>
					<label>Remember me</label>
					<input type="checkbox" name="remember" value="1" />
				</p>
										
				<div class="text_right">
					<p>
						<button type="submit" name="submit" class="button orange">Login</button>
					</p>
				</div>
				
				<div class="clear">&nbsp;</div>
						
			</form>

			<?php if ($error->has_errors()): ?>
				
				<div class="alert error">
					<?php foreach ($error->display_errors() as $value): ?>		
						<p><?php echo $value; ?></p>
					<?php endforeach; ?>
				</div>

			<?php $error->clear_errors(); endif; ?>

			<?php if (isset($failed)): ?>

				<div class="alert error">
					<p>Login failed.</p>
				</div>

			<?php endif; ?>
					
		</div>
		<!-- END #login -->
		
		<div class="clear">&nbsp;</div>
					
	</div>
	<!-- END .container_12 -->

</div>
<!-- END #wrapper -->

<!-- BEGIN .container_12 -->
<div class="container_12">
	
	<!-- BEGIN #footer -->
	<div id="footer" class="grid_12 text_center">
		<p>Copyright &copy; 2012 Gnt Studio</p>
	</div>
	<!-- END #footer -->
	
	<div class="clear">&nbsp;</div>
	
</div>
<!-- END .container_12 -->
			
</body>
<!-- END body -->

</html>
