<?php

//Include the common file
require('../common.php');

//Check if the user is logged in
if (!$authentication->logged_in() || !$authentication->is_admin()) header("Location: login.php");

//Check if the form has been submitted
if (isset($_POST['submit'])) {

	$validate->required($_POST['site_title'], 'Site title required.');
	$validate->required($_POST['site_url'], 'Site URL required.');
	$validate->email($_POST['admin_email'], 'Email address not valid.');
	$validate->numeric($_POST['per_page_admin'], 'Items limit required.');
	
	if (!$error->has_errors()) {

		save_config($_POST);
		
		$success = true;
			
	}
	
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	
<!-- BEGIN head -->	
<head>
	
	<!-- Meta Tags -->
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /> 
	
	<!-- Title -->
	<title>Authentication System</title>

	<!-- Style sheet -->
	<link href="css/style.css" rel="stylesheet" type="text/css" />
	<link href="css/reset.css" rel="stylesheet" type="text/css" />
	<link href="css/text.css" rel="stylesheet" type="text/css" />
	<link href="css/960.css" rel="stylesheet" type="text/css" />
	<link href="css/jquery.qtip.min.css" rel="stylesheet" type="text/css" />

	<!-- jQuery -->
	<script type="text/javascript" src="js/jquery.min.js"></script>
	<!-- jQuery plugins -->
	<script type="text/javascript" src="js/jquery.qtip.min.js"></script>
		
	<!-- Custom js -->
	<script type="text/javascript" src="js/custom.js"></script>
	
</head>
<!-- END head -->

<!-- BEGIN body -->
<body>

<!-- BEGIN #wrapper -->
<div id="wrapper">
	
	<!-- BEGIN #header -->
	<div id="header" class="container_12">
		
		<!-- BEGIN .grid_8 -->						
		<div class="grid_8">
			<a href="index.php"><img src="images/logo.png" alt="" /></a>
		</div>
		<!-- END .grid_8 -->
		
		<!-- BEGIN #user_menu -->
		<div id="user_menu" class="grid_4">
			<ul>
				<li><span><strong>Welcome:</strong> <?php if ($session->get('user_email')) echo $session->get('user_email'); ?></span></li>
				<li><a href="index.php"><img src="images/home.png" alt="" /></a></li>
				<li><a href="account.php"><img src="images/user.png" alt="" title="Profile" /></a></li>
				<li><a href="index.php?logout"><img src="images/logout.png" alt="" title="Logout" /></a></li>
			</ul>
		</div>
		<!-- END #user_menu -->
		
		<div class="clear">&nbsp;</div>
		
		<div class="grid_12 line">&nbsp;</div>
		
		<div class="clear">&nbsp;</div>
		
		<!-- BEGIN #main_menu -->
		<div id="main_menu" class="grid_9">
			<ul>
				<li><a href="users.php" <?php if (in_array(basename($_SERVER['PHP_SELF']), array('users.php', 'add_user.php', 'edit_user.php'))) echo 'class="current"'; ?>>Users</a></li>
				<li><a href="groups.php" <?php if (in_array(basename($_SERVER['PHP_SELF']), array('groups.php', 'add_group.php', 'edit_group.php'))) echo 'class="current"'; ?>>Groups</a></li>
				<li><a href="settings.php" <?php if (in_array(basename($_SERVER['PHP_SELF']), array('settings.php'))) echo 'class="current"'; ?>>Settings</a></li>
			</ul>
		</div>
		<!-- END #main_menu -->
				
		<div class="clear">&nbsp;</div>
						
	</div>
	<!-- END #header -->
	
	<?php if (is_dir(realpath(dirname(__FILE__) . '/../') . '/install')): ?>
		<div class="container_12">
			<div class="grid_12 alert error">
				<span>
					<strong>Warning</strong>
				</span>	
				<p>Install folder still exists and should be deleted for security reasons.</p>
			</div>
			<div class="clear"></div>
		</div>
	<?php endif; ?>

	<noscript>
		<div class="container_12">
			<div class="grid_12 alert error">
				<span>
					<strong>Warning</strong>
				</span>	
				<p>
					Many features on the web site require Javascript and cookies, you can enable both via your browser's
					preference settings.
				</p>
			</div>
			<div class="clear"></div>
		</div>
	</noscript>
	
	<!-- BEGIN #main -->
	<div id="main" class="container_12">
									
		<!-- BEGIN .grid_12 -->
		<div class="grid_12">

			<!-- BEGIN .title_background -->
			<div class="title_background">
				<h1>Settings</h1>
			</div>
			<!-- END .title_background -->
		
			<?php if ($error->has_errors()): ?>
				
				<div class="alert error">
					<span>
						<strong>An error occurred while processing request</strong>
					</span>
					<?php foreach ($error->display_errors() as $value): ?>		
						<p><?php echo $value; ?></p>
					<?php endforeach; ?>
				</div>

			<?php $error->clear_errors(); endif; ?>

			<?php if (isset($success)): ?>
				<div class="alert success">
					<p>
						<span>Settings edited successfully!</span>
					</p>
				</div>
			<?php endif; ?>
			
			<form action="" method="post">
									
				<p>
					<label>Site title: <span title="Required field">*</span></label>
					<input type="text" name="site_title" size="50" value="<?php echo config_item('authentication', 'site_title'); ?>" />
				</p>
									
				<p>
					<label>Site url: <span title="Required field">*</span></label>
					<input type="text" name="site_url" size="50" value="<?php echo config_item('authentication', 'site_url'); ?>" />
				</p>
									
				<p>
					<label>Admin email: <span title="Required field">*</span></label>
					<input type="text" name="admin_email" size="50" value="<?php echo config_item('authentication', 'admin_email'); ?>" />
				</p>

				<p>
					<label>User registration</label>					
					<select id="type_registration" name="type_registration">
						<option value="0">Immediate registration</option>
						<option value="1" <?php if (config_item('authentication', 'email_activation') == 1) echo 'selected="selected"'; ?>>Activation by email</option>
						<option value="2" <?php if (config_item('authentication', 'approve_registration') == 1) echo 'selected="selected"'; ?>>Approval by the administrator</option>
					</select>
				</p>

				<p>
					<label>Default group: <img src="images/help.png" alt="" title="The default group a new user will have when signing up, or by being created through the admin panel." /></label>					
					<select name="default_group">
						<?php foreach ($authentication->get_groups() as $value): ?>
							<?php if ($value['group_id'] == config_item('authentication', 'default_group')): ?>
								<option value="<?php echo $value['group_id']; ?>" selected="selected"><?php echo $value['group_name']; ?></option>
							<?php else: ?>
								<option value="<?php echo $value['group_id']; ?>"><?php echo $value['group_name']; ?></option>
							<?php endif; ?>
						<?php endforeach; ?>
					</select>
				</p>

				<p>
					<label>Items per page: <span title="Required field">*</span></label>
					<input type="text" name="per_page_admin" size="10" value="<?php echo config_item('authentication', 'per_page_admin'); ?>" />
				</p>
				
				<p>
					<label>Enable access logs: <img src="images/help.png" alt="" title="Check the option above if you want to enable access logs for the users." /></label>					
					<?php if (config_item('authentication', 'access_logs')): ?>
						<input type="radio" name="access_logs" value="1" checked="checked" /> Yes
						<input type="radio" name="access_logs" value="0" /> No
					<?php else: ?>
						<input type="radio" name="access_logs" value="1" /> Yes
						<input type="radio" name="access_logs" value="0" checked="checked" /> No
					<?php endif; ?>
				</p>

				<!-- BEGIN .title_background -->
				<div class="title_background">
					<h1>reCAPTCHA</h1>
				</div>
				<!-- END .title_background -->
				
				<p>
					<label>Enable reCAPTCHA: <a href="http://www.google.com/recaptcha" target="_blank"><img src="images/help.png" alt="" title="You must first create a reCAPTCHA key." /></a></label>
					<?php if (config_item('authentication', 'recaptcha')): ?>
						<input type="radio" name="recaptcha" value="1" checked="checked" /> Yes
						<input type="radio" name="recaptcha" value="0" /> No
					<?php else: ?>
						<input type="radio" name="recaptcha" value="1" /> Yes
						<input type="radio" name="recaptcha" value="0" checked="checked" /> No
					<?php endif; ?>
				</p>

				<p>
					<label>reCAPTCHA Public Key:</label>
					<input type="text" name="recaptcha_public_key" size="50" value="<?php echo config_item('authentication', 'recaptcha_public_key'); ?>" />
				</p>

				<p>
					<label>reCAPTCHA Private Key:</label>
					<input type="text" name="recaptcha_private_key" size="50" value="<?php echo config_item('authentication', 'recaptcha_private_key'); ?>" />
				</p>
				
				<p>
					<button type="submit" name="submit" class="button orange">Save</button>
				</p>
									
			</form>
																		
		</div>
		<!-- END .grid_12 -->
		
		<div class="clear">&nbsp;</div>
		
	</div>
	<!-- END #main -->

</div>
<!-- END #wrapper -->

<!-- BEGIN .container_12 -->
<div class="container_12">
	
	<!-- BEGIN #footer -->
	<div id="footer" class="grid_12 text_center">
		<p>Copyright &copy; 2012 Gnt Studio</p>
	</div>
	<!-- END #footer -->
	
	<div class="clear">&nbsp;</div>
	
</div>
<!-- END .container_12 -->
			
</body>
<!-- END body -->

</html>
