<?php

//Include the common file
require_once('common.php');

//Check if the user is logged in
if (!$authentication->logged_in()) header("Location: login.php");
			
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	
<!-- BEGIN head -->	
<head>
	
	<!-- Meta Tags -->
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /> 
	
	<!-- Title -->
	<title>Authentication System</title>

	<!-- Style sheet -->
	<link href="css/style.css" rel="stylesheet" type="text/css" />
	<link href="css/reset.css" rel="stylesheet" type="text/css" />
	<link href="css/text.css" rel="stylesheet" type="text/css" />
	<link href="css/960.css" rel="stylesheet" type="text/css" />
				
</head>
<!-- END head -->

<!-- BEGIN body -->
<body>

<!-- BEGIN #wrapper -->
<div id="wrapper">

	<?php if (is_dir(realpath(dirname(__FILE__)) . '/install')): ?>
		<div class="container_12">
			<div class="grid_12 alert error">
				<span>
					<strong>Warning</strong>
				</span>	
				<p>Install folder still exists and should be deleted for security reasons.</p>
			</div>
			<div class="clear"></div>
		</div>
	<?php endif; ?>

	<noscript>
		<div class="container_12">
			<div class="grid_12 alert error">
				<span>
					<strong>Warning</strong>
				</span>	
				<p>
					Many features on the web site require Javascript and cookies, you can enable both via your browser's
					preference settings.
				</p>
			</div>
			<div class="clear"></div>
		</div>
	</noscript>

	<!-- BEGIN #main -->
	<div id="main" class="container_12">
				
		<!-- BEGIN .grid_12 -->
		<div class="grid_12">

			<!-- BEGIN .title_background -->
			<div class="title_background">
				<h1>Protected page</h1>
			</div>
			<!-- END .title_background -->
					
			<?php if (!$authentication->is_admin()): ?>
				<div class="alert info">
					<p>
						<span>Only admins can view this content.</span>
					</p>
				</div>
			<?php else: ?>
				<div class="alert success">
					<p>
						<span>All signed in administrator can view this content.</span>
					</p>
				</div>
			<?php endif; ?>
			
			<?php if (!$authentication->is_group('member') AND !$authentication->is_admin()): ?>
				<div class="alert info">
					<p>
						<span>You must be a admin or member to view this content.</span>
					</p>
				</div>
			<?php else: ?>
				<div class="alert success">
					<p>
						<span>All signed in administrator or member can view this content.</span>
					</p>
				</div>
			<?php endif; ?>

			<?php if ($authentication->logged_in()): ?>
				<div class="alert success">
					<p>
						<span>All signed in users can view this content.</span>
					</p>
				</div>
			<?php endif; ?>
						
			<p>
				<a href="profile.php" class="button orange">Edit profile</a>
				<a href="?logout" class="button orange">Logout</a>
			</p>
												
		</div>
		<!-- END .grid_12 -->
						
		<div class="clear">&nbsp;</div>
				
	</div>
	<!-- END #main -->

</div>
<!-- END #wrapper -->

<!-- BEGIN .container_12 -->
<div class="container_12">
	
	<!-- BEGIN #footer -->
	<div id="footer" class="grid_12 text_center">
		<p>Copyright &copy; 2012 Gnt Studio</p>
	</div>
	<!-- END #footer -->
	
	<div class="clear">&nbsp;</div>
	
</div>
<!-- END .container_12 -->
			
</body>
<!-- END body -->

</html>
