<?php

//Include libraries
require_once('../libraries/Error.php');
require_once('../libraries/Session.php');
require_once('../libraries/Validate.php');

//Initialize objects
$error = new Error();
$session = new Session();
$validate = new Validate();

if (!$session->get('step_2')) header("Location: step_1.php");

//Check if the form has been submitted	
if (isset($_POST['submit'])) {

	$validate->required($_POST['site_title'], 'Enter your site title.');
	$validate->email($_POST['user_email'], 'User e-mail address not valid.');
	$validate->required($_POST['user_password'], 'Enter your password.');
	$validate->required($_POST['first_name'], 'Enter your first name.');
	$validate->required($_POST['last_name'], 'Enter your last name.');
	$validate->email($_POST['admin_email'], 'Admin e-mail address not valid.');
	
	if (!$error->has_errors()) {

		define('DIR_APPLICATION', str_replace('\'', '/', realpath(dirname(__FILE__) . '/../')) . '/');
		define('HTTP_SERVER', 'http://' . $_SERVER['HTTP_HOST'] . rtrim(rtrim(dirname($_SERVER['PHP_SELF']), 'install'), '/.\\'). '/');

		$config_authentication = file_get_contents('../config/authentication.php');	
		
		$replace = array(
			'__SITE_TITLE__'		=> $_POST['site_title'],
			'__HTTP_SERVER__' 		=> HTTP_SERVER,
			'__DIR_APPLICATION__'	=> DIR_APPLICATION,
			'__ADMIN_EMAIL__' 		=> $_POST['admin_email'],
			'__SECRET_WORD__' 		=> substr(md5(rand() . rand()), 0, 8)
		);
		
		if ($_POST['type_registration'] == 0) {
			
			$replace['__EMAIL_ACTIVATION__'] = "false";
			$replace['__APPROVE_REGISTRATION__'] = "false";
		
		} else if ($_POST['type_registration'] == 1) {
			
			$replace['__EMAIL_ACTIVATION__'] = "true";
			$replace['__APPROVE_REGISTRATION__'] = "false";
			
		} else if ($_POST['type_registration'] == 2) {
		
			$replace['__EMAIL_ACTIVATION__'] = "false";
			$replace['__APPROVE_REGISTRATION__'] = "true";
		
		}
		
		$output	= str_replace(array_keys($replace), $replace, $config_authentication);
		
		$file = fopen('../config/authentication.php', 'w');
		fwrite($file, $output);
		fclose($file);
						
		$config_database = file_get_contents('../config/database.php');
		
		$replace = array(
			'__HOSTNAME__' 	=> $session->get('hostname'),
			'__USERNAME__' 	=> $session->get('username'),
			'__PASSWORD__' 	=> $session->get('password'),
			'__DBNAME__' 	=> $session->get('dbname')
		);
		
		$output	= str_replace(array_keys($replace), $replace, $config_database);
		
		$file = fopen('../config/database.php', 'w');
		fwrite($file, $output);
		fclose($file);

		$connection = mysql_connect($session->get('hostname'), $session->get('username'), $session->get('password'));
		
		if ($session->get('create_db'))
			mysql_query('CREATE DATABASE IF NOT EXISTS ' . $session->get('dbname'), $connection);

		mysql_select_db($session->get('dbname'), $connection);

		$sql = explode(';', file_get_contents(DIR_APPLICATION . 'install/database.sql'));

		foreach($sql as $query) mysql_query($query);
		
		mysql_query("INSERT INTO users VALUES (1, 1, '" . $_POST['user_email'] . "', SHA1('" . $_POST['user_password'] . "'), 1, '1', '', '', '', '', '')");	
		mysql_query("INSERT INTO user_profiles VALUES (1, 1, '" . $_POST['first_name'] . "', '" . $_POST['last_name'] . "')");	
		
		mysql_close($connection);
		
		$session->set('user_email', $_POST['user_email']);
		$session->set('user_password', $_POST['user_password']);
		$session->set('step_3', true);
		
		header("Location: step_3.php");
													
	}

}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	
<!-- BEGIN head -->	
<head>
	
	<!-- Meta Tags -->
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /> 
	
	<!-- Title -->
	<title>Installation (step 2)</title>

	<!-- Style sheet -->
	<link href="css/style.css" rel="stylesheet" type="text/css" />
	<link href="css/reset.css" rel="stylesheet" type="text/css" />
	<link href="css/text.css" rel="stylesheet" type="text/css" />
	<link href="css/960.css" rel="stylesheet" type="text/css" />
		
</head>
<!-- END head -->

<!-- BEGIN body -->
<body>

<!-- BEGIN #wrapper -->
<div id="wrapper">

	<!-- BEGIN #main -->
	<div id="main" class="container_12">
		
		<form action="" method="post">
			
			<!-- BEGIN .grid_12 -->
			<div class="grid_12">

				<div class="title_background">
					<h1>3. Authentication System settings</h1>
				</div>

				<?php if ($error->has_errors()): ?>
				
					<div class="alert error">
						<span>
							<strong>An error occurred while processing request</strong>
						</span>
						<?php foreach ($error->display_errors() as $value): ?>		
							<p><?php echo $value; ?></p>
						<?php endforeach; ?>
					</div>
				
				<?php $error->clear_errors(); endif; ?>
						
				<p>
					<label>Site title:</label>
					<input type="text" id="site_title" name="site_title" size="50" value="<?php if (isset($_POST['site_title'])) echo $_POST['site_title']; ?>" />
					<br />
					<span>The name of the website that will be used to send email.</span>
				</p>

				<p>
					<label>First name:</label>
					<input type="text" id="first_name" name="first_name" size="50" value="<?php if (isset($_POST['first_name'])) echo $_POST['first_name']; ?>" />
					<br />
					<span>Your first name.</span>
				</p>

				<p>
					<label>Last name:</label>
					<input type="text" id="last_name" name="last_name" size="50" value="<?php if (isset($_POST['last_name'])) echo $_POST['last_name']; ?>" />
					<br />
					<span>Your last name.</span>
				</p>

				<p>
					<label>User e-mail address:</label>
					<input type="text" id="user_email" name="user_email" size="50" value="<?php if (isset($_POST['user_email'])) echo $_POST['user_email']; ?>" />
					<br />
					<span>The e-mail address that will be used to login in the admin panel.</span>
				</p>

				<p>
					<label>User password:</label>
					<input type="password" id="user_password" name="user_password" size="50" value="<?php if (isset($_POST['user_password'])) echo $_POST['user_password']; ?>" />
					<br />
					<span>The password that is used together with the user e-mail address to login in the admin panel.</span>
				</p>

				<p>
					<label>Owner e-mail address:</label>
					<input type="text" id="admin_email" name="admin_email" size="50" value="<?php if (isset($_POST['admin_email'])) echo $_POST['admin_email']; ?>" />
					<br />
					<span>The owner e-mail address that will be used to send email.</span>
				</p>

				<p>
					<label>Customer registration</label>					
					<select id="type_registration" name="type_registration">
						<option value="0">Immediate registration</option>
						<option value="1">Activation by e-mail</option>
						<option value="2">Approval by the administrator</option>
					</select>
				</p>
																																						
			</div>
			<!-- END .grid_12 -->
			
			<div class="clear">&nbsp;</div>

			<!-- BEGIN .grid_12 -->
			<div class="grid_12">
				
				<button type="submit" name="submit" class="button orange float_right">Install</button>
										
			</div>
			<!-- END .grid_12 -->
		
			<div class="clear">&nbsp;</div>
		
		</form>
				
	</div>
	<!-- END #main -->

	<!-- BEGIN .container_12 -->
	<div class="container_12">
		
		<!-- BEGIN #footer -->
		<div id="footer" class="grid_12 text_center">
			<p>Copyright &copy; 2012 Gnt Studio</p>
		</div>
		<!-- END #footer -->
		
		<div class="clear">&nbsp;</div>
		
	</div>
	<!-- END .container_12 -->
			
</div>
<!-- END #wrapper -->
		
</body>
<!-- END body -->

</html>
